Subject: Missing Package
From: Tiara Williams <[email-masked]>
To: info <[email-masked]>
Date: Wed, 2 Apr 2025 21:09:18 +0000

Good evening my name is Tiara I ordered an all back king size comforter from you all through Amazon maybe a little over a week ago. It says that the order was delivered Monday at 2:41pm but I never received my comforter. My mom is at
home all day everyday and she was waiting to receive the package for me but it was never delivered. I’ve been reaching out to Amazon and the mail postal service but haven’t gotten my package replaced yet. Could you all please offer me some assistance. I really
really just want my comforter. A great call back number is 214-970-5959.

Here are my order details as well

Sent from my iPhone